commit:     e72e58844eaf93dc8228ecade8695dfd7c033680
Author:     Andrey Grozin <grozin <AT> gentoo <DOT> org>
AuthorDate: Fri Mar  4 13:21:52 2016 +0000
Commit:     Andrey Grozin <grozin <AT> gentoo <DOT> org>
CommitDate: Fri Mar  4 13:22:45 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e72e5884

dev-python/pyminuit: added python3_5

Package-Manager: portage-2.2.27

 dev-python/pyminuit/pyminuit-1.2.1-r1.ebuild | 38 ++++++++++++++++++++++++++++
 1 file changed, 38 insertions(+)

diff --git a/dev-python/pyminuit/pyminuit-1.2.1-r1.ebuild 
b/dev-python/pyminuit/pyminuit-1.2.1-r1.ebuild
new file mode 100644
index 0000000..2aadc71
--- /dev/null
+++ b/dev-python/pyminuit/pyminuit-1.2.1-r1.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} )
+
+inherit distutils-r1 flag-o-matic
+
+DESCRIPTION="Minuit numerical function minimization in Python"
+HOMEPAGE="https://github.com/jpivarski/pyminuit";
+SRC_URI="
+       https://pyminuit.googlecode.com/files/${P}.tgz
+       https://pyminuit.googlecode.com/files/Minuit-1_7_9-patch1.tar.gz
+       "
+
+SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE=""
+
+S="${WORKDIR}"/${PN}
+
+src_configure() {
+       cd "${WORKDIR}"/Minuit-1_7_9 && econf --disable-static || die
+}
+src_compile() {
+       cd "${WORKDIR}"/Minuit-1_7_9 && emake
+       cd "${S}"
+       distutils-r1_src_compile
+}
+
+python_install_all() {
+       cd "${WORKDIR}"/Minuit-1_7_9 || die
+       default
+       distutils-r1_python_install_all
+}

Reply via email to